/* USER CODE BEGIN 1 */
/*
 * HAL_layer_LED.h
 *
 *  Created on: 10. 3. 2018
 *      Author: Dušan Benda
 */

#ifndef HAL_LAYER_LED_H_
#define HAL_LAYER_LED_H_

#include "stm32f3xx_hal.h"


void HAL_LED0_on(void);
void HAL_LED1_on(void);
void HAL_LED2_on(void);
void HAL_LED3_on(void);
void HAL_LED4_on(void);
void HAL_LED_fault_on(void);

void HAL_LED0_off(void);
void HAL_LED1_off(void);
void HAL_LED2_off(void);
void HAL_LED3_off(void);
void HAL_LED4_off(void);
void HAL_LED_fault_off(void);

void HAL_LED0(uint8_t state);
void HAL_LED1(uint8_t state);
void HAL_LED2(uint8_t state);
void HAL_LED3(uint8_t state);
void HAL_LED4(uint8_t state);
void HAL_LED_fault(uint8_t state);




#endif /* HAL_LAYER_LED_H_ */


/* USER CODE END 1 */
